Loading...
Searching...
No Matches
BALL::SimpleDownloaderHelper::BasicHelper Class Referenceabstract

`#include <BALL/SYSTEM/simpleDownloader.h>`

Inheritance diagram for BALL::SimpleDownloaderHelper::BasicHelper:

## Public Slots

void | error (QNetworkReply::NetworkError error)
void | sslErrors (const QList< QSslError > &errors)
virtual void | finished ()=0

## Public Member Functions

| BasicHelper (HelperThread *caller, QNetworkReply *reply)
virtual | ~BasicHelper ()

## Protected Attributes

HelperThread * | caller_
QNetworkReply * | reply_

## Detailed Description

Definition at line 196 of file simpleDownloader.h.

## Constructor & Destructor Documentation

## BasicHelper()

BALL::SimpleDownloaderHelper::BasicHelper::BasicHelper | ( | HelperThread * | caller,
|  | QNetworkReply * | reply )

## ~BasicHelper()

virtual BALL::SimpleDownloaderHelper::BasicHelper::~BasicHelper | ( |  | ) |

inline virtual

Definition at line 202 of file simpleDownloader.h.

## Member Function Documentation

## error

void BALL::SimpleDownloaderHelper::BasicHelper::error | ( | QNetworkReply::NetworkError | error | ) |

slot

## finished

virtual void BALL::SimpleDownloaderHelper::BasicHelper::finished | ( |  | ) |

pure virtual slot

## sslErrors

void BALL::SimpleDownloaderHelper::BasicHelper::sslErrors | ( | const QList< QSslError > & | errors | ) |

slot

## Member Data Documentation

## caller_

HelperThread* BALL::SimpleDownloaderHelper::BasicHelper::caller_

protected

Definition at line 212 of file simpleDownloader.h.

## reply_

QNetworkReply* BALL::SimpleDownloaderHelper::BasicHelper::reply_

protected

Definition at line 213 of file simpleDownloader.h.